### Method

# GUPnPAV DIDLLiteContainer add_create_class_full

#### Declaration [src]

    void
    gupnp_didl_lite_container_add_create_class_full (
      GUPnPDIDLLiteContainer* container,
      const char* create_class,
      gboolean include_derived
    )

#### Description [src]

Add a new create class to the `container`.

#### Parameters

`create_class`

  Type: `const char*`

  The createClass to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`include_derived`

  Type: `gboolean`

  Whether object with derived classes, such as object.item.imageItem.Photo for a create class of object.item.imageItem are allowed.